eureka:
  instance:
    hostname: localhost
    # 心跳时间，即服务续约间隔时间（缺省为30s）
    lease-renewal-interval-in-seconds: 10
    # 发呆时间，即服务续约到期时间（缺省为90s）
    lease-expiration-duration-in-seconds: 20
  client:
    registry-fetch-interval-seconds: 5
    serviceUrl:
      defaultZone: http://localhost:20000/eureka/
server:
  port: 10002
  servlet:
    context-path: /ciop
  tomcat:
    uri-encoding: UTF-8
    max-threads: 200
    max-connections: 2000
  jetty:
    max-http-post-size: 1000000
winsun:
  app:
    version: @project.version@
    name: ${spring.application.name}
    scanner: false
  #是否开启swagger (true/false)
  swagger-open: true
  #是否开启登录时验证码 (true/false)
  kaptcha-open: false
  #是否开启spring session,如果是多机环境需要开启(true/false)
  spring-session-open: true
  redis-session-expire: 86400
  #session失效时间(只在单机环境下生效，多机环境在SpringSessionConfig类中配置) 单位：秒
  session-invalidate-time: 86400
  #多久检测一次失效的session(只在单机环境下生效) 单位：秒
  session-validation-interval: 43200
spring:
  profiles:
    active: dev
  cloud:
    stream:
      bindings:
        menuInput:
          destination: queue.menu.messages #要和output的destination一致, 这样才能将队列和写入消息的exchange关联起来
          binder: local_rabbit
          group: menuMessageConsumers
          content-type: application/json
      binders:
        local_rabbit:
          type: rabbit
          environment:
            spring:
              rabbitmq:
                host: ${spring.rabbitmq.host}
                port: ${spring.rabbitmq.port}
                username: ${spring.rabbitmq.username}
                password: ${spring.rabbitmq.password}
      rabbit:
        bindings:
          input:
            consumer:
              # maxumum concurrency of this consumer (threads)
              max-concurrency: 50
              # number of prefetched messages pre consumer thread
              prefetch: 100
              # true to requeue rejected messages, false to discard (or route to DLQ)
              requeue-rejected: false
              # republish failures to the DLQ with diagnostic headers
              republish-to-dlq: true
  rabbitmq:
    host: 123.56.82.141
    port: 5672
    username: guest
    password: guest
#    username: ENC(Jm+qlQikhtTS1xupsT/bLQ==)
#    password: ENC(Jm+qlQikhtTS1xupsT/bLQ==)
  redis:
    clusterWhether: false
    cluster:
      max-redirects: 3
      nodes:
        - localhost:6379
    database: 0
    host: localhost
    port: 6379
    password: hniPdaqs4$8HH8m6KTP
#    password: ENC(dzBR0ihAkOs43UgnwmnQfFpmjbWvfqmtOIwwgra/+ik=)
    lettuce:
      pool:
        max-active: -1
        max-wait: -1
        max-idle: 8
        min-idle: 0
    timeout: 5000
    ip:
      exprie: 600
      prohibition: 600
  datasource:
    # 由于父框架的问题，这里本来不应该这样写的
    url: jdbc:mysql://172.18.101.171:3306/school_center?autoReconnect=true&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=CONVERT_TO_NULL&useSSL=false&serverTimezone=CTT&allowPublicKeyRetrieval=true
    username: yzzx
    password: yzzx123!@#
#    username: ENC(CT4X/xOJCLwK1IJtuZZN/A==)
#    password: ENC(IQRisTAAktGkj1rrrEvpXpImI0FyRfda)
    db-name: guns #用来搜集数据库的所有表
    filters: wall,mergeStat
    driver-class-name: com.mysql.cj.jdbc.Driver
    max-active: 20
    dynamic:
      primary: master
      p6spy: true
      druid:
        filters: stat
      datasource:
        master:
          url: ${spring.datasource.url}
          username: ${spring.datasource.username}
          password: ${spring.datasource.password}
          driver-class-name: ${spring.datasource.driver-class-name}
          max-active: ${spring.datasource.max-active}
  devtools:
    restart:
      enabled: false
      additional-paths: src/main/java
      exclude: static/**,WEB-INF/view/**
  servlet:
    multipart:
      enabled: true
      max-request-size: 100MB
      max-file-size: 100MB
  application:
    name: core
mybatis-plus:
  typeAliasesPackage: com.winsun.auth.model.common,com.winsun.auth.model.merchant,com.winsun.auth.model.user,com.winsun.auth.core.node
  mapper-locations:
    - /com/winsun/item/modular/system/dao/mapping/*.xml
    - /com/winsun/modular/dao/mapping/*.xml
    - com/winsun/mapper/mapping/*.xml
management:
  endpoints:
    web:
      exposure:
        include: bus-refresh
feign:
  hystrix:
    enabled: true
  httpclient:
    enabled: true
  okhttp:
    enabled: false
ribbon:
  MaxAutoRetries: 0
  MaxAutoRetriesNextServer: 0
  ReadTimeout: 4400
  ConnectTimeout: 2000
hystrix:
  threadpool:
    default:
      coreSize: 100
      maximumSize: 100
      allowMaximumSizeToDivergeFromCoreSize: true
      maxQueueSize: 20000
      queueSizeRejectionThreshold: 19999
  command:
    default:  #default全局有效，service id指定应用有效
      circuitBreaker:
        enabled: false
      execution:
        timeout:
          #如果enabled设置为false，则请求超时交给ribbon控制,为true,则超时作为熔断根据
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 4500 #断路器超时时间，默认1000ms
messageconfig:
  url:
  user:
  pwt:
  channel:
  phoneRule:
    enabled:
    rule:
weixin:
  appid: wx0641dc1dc4d34384
  appsecret: 3b43b46fc94d4e98588ee6ad992fa5c7
jasypt:
  encryptor:
    password: 602927682333704192
